Bug 128449 - Inserting image as background results in blue bg
Summary: Inserting image as background results in blue bg
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: high major
Assignee: Aron Budea
URL:
Whiteboard: target:6.5.0 target:6.4.0.2
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks: Master-Slide-View
  Show dependency treegraph
 
Reported: 2019-10-29 10:34 UTC by Aron Budea
Modified: 2019-12-23 09:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-10-29 10:34:49 UTC
- in Impress, switch to Master view,
- in Properties sidebar deck, click Insert image to set a background image,
- specify any image.

=> The background turns blue.

Observed using LO 6.4.0.0.alpha1+ (6c6b00300c5430466804619394b84beea01b3187) / Ubuntu 19.04.

This is a regression, bibisected to the following commit using repo bibisect-linux-64-6.4. Adding Cc: to Ashod Nakashian, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=905e6bd3ae0ca5c5ac7083430d7aa126c6526fd7
author		Ashod Nakashian <ashod.nakashian@collabora.co.uk>	2018-09-12 20:03:11 -0400
committer	Jan Holesovsky <kendy@collabora.com>	2019-06-06 14:33:27 +0200

sd: support inserting background image from file via .uno:SelectBackground
Comment 1 Xisco Faulí 2019-12-19 12:12:25 UTC
Also happening if the image is inserted as background to a normal slide
Comment 2 Commit Notification 2019-12-22 15:19:17 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8304c671b19365e61d88a9133631775846a172a5

tdf#128449 Set graphic when setting background in Impress

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Aron Budea 2019-12-22 15:55:58 UTC
Fixed in master, backport is on gerrit, let's close.
Comment 4 Commit Notification 2019-12-22 21:11:33 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/cfe24288e43779019bf755dfdff9163e0be2e4e2

tdf#128449 Set graphic when setting background in Impress

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-12-23 09:14:41 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 0322a41224a7264bbe03a068647ab093bcc88f90
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Aron, thanks for fixing this issue!!